# Changed by Makefile of cvs.
%define name 	drakconf
%define version 0.70
%define release 13mdk

Summary:	The Mandrake Control Center 
Name:		%{name}
Version:	%{version}
Release:        %{release}
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0:	%{name}-%{version}.tar.bz2
Source1:	drakconf16.xpm.bz2
Source2:	drakconf32.xpm.bz2
Source3:	drakconf48.xpm.bz2
License:	GPL
Group:		System/Configuration/Other
Obsoletes:	DrakConf
Provides:	DrakConf
Requires:	drakxtools >= 1.1.7-22mdk, gtk+mdk, perl-GTK, perl-GTK-GdkImlib, usermode, drakfloppy >= 0.43-6mdk,
Requires:	popt >= 1.6, harddrake >= 0.9.3-17mdk, drakfont >= 0.58-11mdk, XFree86-100dpi-fonts, menudrake >= 0.6.1
Requires:	rxvt
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
drakconf includes the Mandrake Control Center which is an interface to 
multiple utilities from DrakXtools. It allows you to launch :

   * hardrake: detection of the hardware 
   * keyboarddrake: configures your keyboard
   * mousedrake: configures and autodetects your mouse
   * printerdrake: detects and configures your printer
   * xfdrake: configure your graphic card easily and change
     the resolution
   * draknet: configures your network

and many other tools in an embedded way 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

mv ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakconf \
   ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakconf.real
ln -sf %{_bindir}/consolehelper ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/drakconf
ln -sf %{_bindir}/consolehelper ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/DrakConf # for compatiblity
ln -sf %{_bindir}/consolehelper ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/mcc
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
cp pam.drakconf $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/drakconf
cp pam.drakconf $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/DrakConf
cp pam.drakconf $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/mcc
cp apps.drakconf  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/drakconf
cp apps.drakconf  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/DrakConf
cp apps.drakconf  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/mcc

#install lang
%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/drakconf << EOF
?package(%{name}): needs="x11" icon="drakconf.xpm" section="Configuration/Other" title="Mandrake Control Center" longtitle="System configuration tool" command="/usr/X11R6/bin/drakconf"
EOF

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/drakconf.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/drakconf.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/drakconf.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_prefix}/X11R6/bin/*
%{_menudir}/drakconf
%{_miconsdir}/*.xpm
%{_iconsdir}/*.xpm
%{_iconsdir}/*.png
%{_liconsdir}/*.xpm
%{_sbindir}/clock.pm
%{_sbindir}/menus.pm
%{_sbindir}/print.pm
%{_sbindir}/logdrake
%config(noreplace) %{_sysconfdir}/pam.d/drakconf
%config(noreplace) %{_sysconfdir}/pam.d/DrakConf
%config(noreplace) %{_sysconfdir}/pam.d/mcc
%config(noreplace) %{_sysconfdir}/security/console.apps/drakconf
%config(noreplace) %{_sysconfdir}/security/console.apps/DrakConf
%config(noreplace) %{_sysconfdir}/security/console.apps/mcc

%changelog
* Mon Sep 24 2001 dam's <damien@mandrakesoft.com> 0.70-13mdk
- corrected showing xplug

* Fri Sep 21 2001 dam's <damien@mandrakesoft.com> 0.70-12mdk
- print.pm now included in the package

* Fri Sep 21 2001 dam's <damien@mandrakesoft.com> 0.70-11mdk
- snapshot. printerdrake not embedded anymore

* Wed Sep 19 2001 dam's <damien@mandrakesoft.com> 0.70-10mdk
- snapshot

* Fri Sep 14 2001 dam's <damien@mandrakesoft.com> 0.70-9mdk
- bugfix, snapshot for RC.

* Mon Sep  3 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-8mdk
- logdrake: added --word=foo option
- logdrake: removed neddless ok button
- mcc: diskdrake gtk plug and no more x plug
- mcc: added few icons

* Tue Aug 28 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-7mdk
- mcc: added diskdrake. WARNING: diskdrake crashes with icewm-gnome
- logdrake: fix window size in embedded mode

* Mon Aug 27 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-6mdk
- added prosuite-corporate-java-wizard
- logdrake: added save command (support request)
- bugs fixing (specially the "Use of uninitialized value in subroutine entry" one !)

* Wed Aug 22 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-5mdk
- removed all the data dumper debugging stuff..

* Tue Aug 21 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-4mdk
- new snapshot : should fix all the console related bug (i hope!)
- Mandrake Linux splash
- fix Mandrake{Campus,Expert} links in menu

* Thu Aug 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-3mdk
- re-added all mo files thanx to pablo

* Wed Aug 15 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-2mdk
- renamed to drakconf
- new logdrake
- added in MandrakeControlCenter : drakautoinst
- fixed many bugs (kde crash, menu, i18n ..)

* Fri Aug 10 2001 Yves Duret <yduret@mandrakesoft.com> 0.70-1mdk
- snapshot for Mandrake Linux 8.1
- new icons, a console is now embedded, added logdrake
- spec : s/Copyrght/License/, macros

* Wed May 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.62-1mdk
- snapshot -> 0.62
- add linuxconf in System.

* Tue Apr 17 2001 dam's <damien@mandrakesoft.com> 0.61-44mdk
- snapshot. RC2

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 0.61-43mdk
- snapshot. RC

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 0.61-42mdk
- snapshot

* Fri Apr 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-41mdk
- snapshot (bug fixes )

* Fri Apr 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-40mdk
- don't allow user to launch DrakConf in unpriviledged mode  

* Thu Apr 12 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-39mdk
- update code ( display popup error msg if browser isn't set for any reasons )

* Thu Apr 12 2001 dam's <damien@mandrakesoft.com> 0.61-38mdk
- rpmdrake cleaner launching when using translated languages (fr, de ...)

* Tue Apr 10 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-37mdk
- freshened po .
- polishing...

* Tue Apr 10 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-36mdk
- duplicate menus fixed when translated (?)

* Mon Apr  9 2001 dam's <damien@mandrakesoft.com> 0.61-35mdk
- snapshot

* Mon Apr  9 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-34mdk
- snapshot
- reput printerdrake 
- setup linked to DrakConf
- fix Menu title to better reflect package achievement.
- fix requires.   

* Sat Apr  7 2001 dam's <damien@mandrakesoft.com> 0.61-33mdk
- snapshot. updated requires.

* Fri Apr  6 2001 Daouda LO <daouda@mandrakesoft.com> 0.61-32mdk
- cvs snapshot
- Safe links to MandrakeCampus and MandrakeExpert in menu .

* Tue Apr  3 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-31mdk
- new menu icons .

* Tue Apr  3 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-30mdk
- No need to launch DrakConf through a terminal 

* Thu Mar 29 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-29mdk
- Now you can launch DrakConf by typing mcc (standing for Mandrake Control Center)

* Wed Mar 28 2001 dam's <damien@mandrakesoft.com> 0.61-28mdk
- readded boot disk

* Mon Mar 26 2001 dam's <damien@mandrakesoft.com> 0.61-27mdk
- updated requires

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 0.61-26mdk
- synch with drakxtools.

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 0.61-25mdk
- readded service.png

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 0.61-24mdk
- use cvs DrakConf.spec

* Fri Mar 23 2001 dam's <damien@mandrakesoft.com> 0.61-23mdk
- corrected bad require

* Fri Mar 23 2001 dam's <damien@mandrakesoft.com> 0.61-22mdk
- included tinyfirewall

* Wed Mar 21 2001 dam's <damien@mandrakesoft.com> 0.61-21mdk
- corrected bad execution path.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 0.61-20mdk
- requires updated for new drakxtools and drakfont.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 0.61-19mdk
- updated requires.
- DrakConf crash bug corrected by daouda.

* Wed Mar 14 2001 dam's <damien@mandrakesoft.com> 0.61-18mdk
- corrected bad use in perl script

* Wed Mar 14 2001 dam's <damien@mandrakesoft.com> 0.61-17mdk
- new icons

* Wed Mar 14 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-16mdk
- workaround  for this *$^ DrakConf crash bug.

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 0.61-15mdk
- updated requires

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 0.61-14mdk
- corrected requires

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 0.61-13mdk
- new drakxservices included.

* Fri Mar  9 2001 dam's <damien@mandrakesoft.com> 0.61-12mdk
- No more DrakeLogo
- new icons, wait message.

* Wed Mar  7 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-11mdk
- fix pam authentification typo

* Wed Mar  7 2001 dam's <damien@mandrakesoft.com> 0.61-10mdk
- corrected requires

* Tue Mar  6 2001 dam's <damien@mandrakesoft.com> 0.61-9mdk
- bug fix, improvement.

* Tue Feb 27 2001 dam's <damien@mandrakesoft.com> 0.61-8mdk
- TERM signal handling.

* Tue Feb 27 2001 dam's <damien@mandrakesoft.com> 0.61-7mdk
- some bug fix, new pixmaps.

* Mon Feb 12 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-6mdk
- corrected typo 

* Mon Feb 12 2001  Daouda Lo <daouda@mandrakesoft.com> 0.61-5mdk
- release 5mdk .

* Mon Feb 12 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-4mdk
- features add-ons 

* Fri Feb 9 2001 Daouda Lo <daouda@mandrakesoft.com> 0.61-3mdk
- fix typo in description .

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.61-2mdk
- corrected require

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.61-1mdk
- added application killing when leaving.

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 0.60-1mdk
- new version. Should crash.

* Fri Dec 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.53-1mdk
- this versions uses UTF-8 for the *.rc files, and does, if needed, the
  conversion to the user's charset

* Fri Oct  6 2000 DindinX <odin@mandrakesoft.com> 0.52-41mdk
- Completly get rid of kdesu

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-40mdk
- added requirement for usermode

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-39mdk
- last update to consolehelper configuration (renaming of the original 
  binary)

* Thu Oct  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-38mdk
- one more update for pam configuration, to allow the link 
  to consolehelper be DrakConf with caps
- fix rpmdrake calling path (fix 651)

* Thu Oct  5 2000 DindinX <odin@mandrakesoft.com> 0.52-37mdk
- fix menu entry to use drakconf-auth
- update liveupdate description

* Thu Oct  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.52-36mdk
- corrected pam configuration (pam_authenticate has problems 
  with caps in services names)
- Added an rc for livedrake (fix 599)
- s/Outils de dmarrage/Gestion de dmarrage/ (fix 627)

* Wed Oct 04 2000 DindinX <odin@mandrakesoft.com> 0.52-35mdk
- rc fixes
- linuxconf launch /sbin/linuxconf
- New icons from LN
- back to kdesu, since pam does not want to work :(

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-34mdk
- resurect LinuxConf
- small rc fix

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-33mdk
- Change some rc entry (suggestion from gc)
- use pam instead of kdesu

* Tue Oct 03 2000 DindinX <odin@mandrakesoft.com> 0.52-32mdk
- change Mandrake to Linux-Mandrake in the rc files

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 0.52-31mdk
- fix menudrake calling (for system menu)
- update some rc

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 0.52-30mdk
- fix french translation of draknet (fix bug 469)
- update translations of other rc

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.52-29mdk
- new icons

* Fri Sep 29 2000 DindinX <odin@mandrakesoft.com> 0.52-28mdk
- Small rc fixes

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 0.52-27mdk
- change adduserdrake for userdrake

* Thu Sep 28 2000 DindinX <odin@mandrakesoft.com> 0.52-26mdk
- small UI changes
- updated po

* Fri Sep 15 2000 DindinX <odin@mandrakesoft.com> 0.52-25mdk
- fix a problem with i18n of some language (Pablo)
- updated po (Pablo)
- work around a perl bug (Chmouel)

* Mon Sep 11 2000 DindinX <odin@mandrakesoft.com> 0.52-24mdk
- Small UI changes
- Added menudrake, draknet and drakgw

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 0.52-23mdk
- use %%lang
- use noreplace with %%config for rc files

* Fri Aug 25 2000 DindinX <odin@mandrakesoft.com> 0.52-22mdk
- Remove the border of the info notebook
- po updates

* Thu Aug 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.52-21mdk
- Fix macro disaster

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-20mdk
- fixing %post script

* Tue Aug 08 2000 DindinX <odin@mandrakesoft.com> 0.52-19mdk
- fix BuildRequires (Fred sucks)
- BM
- New harddrake.rc

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.52-18mdk
- automatically added BuildRequires

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-17mdk
- added require to kdesu

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 0.52-16mdk
- Added Mandrake Update

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-15mdk
- Added a 32x32 and a 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.52-14mdk
- remove icon menu path

* Thu Apr 20 2000 DindinX <odin@mandrakesoft.com> 0.52-13mdk
- Put a better looking logo
- Remove kpackage

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-12mdk
- remove this f****ng bl***y bast*** logo

* Wed Apr 19 2000 warly <warlyn@mandrakesoft.com> 0.52-11mdk
- really remove logo

* Wed Apr 19 2000 warly <warly@mandrakesoft.com> 0.52-10mdk
- remove some logos

* Wed Apr 19 2000 DindinX <odin@mandrakesoft.com> 0.52-9mdk
- remove drakbootdisk (merge with drakboot)

* Tue Apr 18 2000 DindinX <odin@mandrakesoft.com> 0.52-8mdk
- Added an entry drakboot

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 0.52-7mdk
- Added an entry for drakbootdisk
- only read .rc files

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.52-6mdk
- Added nice icons from Hlne

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 0.52-5mdk
- Better handling of different resolutions

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-4mdk
- Fix the grammar in the Desc.
- Added rpmdrake and drakfont.
- rename lothar to harddrake.

* Sat Apr  8 2000 DindinX <odin@mandrakesoft.com> 0.52-3mdk
- Add a %config tag to make rpmlint happy

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-2mdk
- Menu group back to /Configuration/Other :(

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 0.52-1mdk
- New version w/ support for 640x480 screens
- Spec update
- Change Group
- Add menu

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- Requires true perl when using Getopt::Long.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.51-1mdk
- DrakConf.pm (usage): parse arguments with Getopt::Long;
- DrakConf.pm: Now use a directory and one config file for entry.

* Tue Feb 29 2000 DindinX <odin@mandrakesoft.com> 0.50-1mdk
- Use a more usefull version number...

* Mon Feb 28 2000 DindinX <odin@mandrakesoft.com> 0.34-2mdk
- Added a "close" button

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.37-1mdk
- po/lothar.rc: Exclusivearchs: i386
- DrakConf.pm (get_arch): add ability to do Exclusivearchs for 
  certain program.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- remove provide control-panel.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- DrakConf.c (main): add setlocale call for i18n

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.34-10mdk
- respawn with kdesu if launching as user.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove Obsoletes and Provides control-panel.

* Mon Jan 03 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*lothar*: add blank line in the end of file.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- create the temporary file in ~tmp/ for obvious
  security reasons, also fix an improbable but possible
  race conditions.

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- po/*: adjust & change.
- diskdrake.pm: can do eval of perl code in config files.
- DrakConf.pm: Try better to find the language.
- pics/*diskdrake: new icon.
- DrakConf.c: create a temporary file when 'exec'ing a tool (dinx)
- DrakConf.c: fix a very stupid bug in the tests for existing tools (dinx).

* Fri Dec 24 1999 Pixel <pixel@mandrakesoft.com>
- add obsoletes control-panel

* Mon Dec 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DrakConf.c: remove the obsolete translation of '' into ' '
- DrakConf.rc: Add a lot of i18n translations from pablo
- DrakConf.rc: s|/sbin/netconf|/bin/netconf|;
- DrakConf.rc: remove the .
- DrakConf.pm: fix bad call.
- pics/*mouse*.xpm: new icon from helene.
- pics/*keyboard*.xpm: new icon from helene.
- pics/*drake*.xpm: new icon from helene.
- pics/*lothar*.xpm: new icon from helene.
- DrakConf.pm: Parse better arguments.

* Sun Dec 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- French and Spanish Description (camille).
- strip binaries.

* Sat Dec 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Makefile: dist rpm.
- DrakConf.pm: Rewrite the parser.
- DrakConf.(c|pm): add a test mode.
- pics/*: clean name and add icones (helene).
- DrakConf.rc: cleaning.

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- Makefile (dis): changed to ignore pics/unused
- DrakConf.rc: many change
- pics/*: additions and modifications

* Thu Dec 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add many changes (see the ChangeLog).

* Fri Dec 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First spec file.

# end of file
